package com.fjhx.victoriatourist.service.quality.impl;

import com.fjhx.victoriatourist.entity.quality.po.QualityInfo;
import com.fjhx.victoriatourist.mapper.quality.QualityInfoMapper;
import com.fjhx.victoriatourist.service.quality.QualityInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.quality.vo.QualityInfoVo;
import com.fjhx.victoriatourist.entity.quality.dto.QualityInfoSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.fjhx.victoriatourist.entity.quality.dto.QualityInfoDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * 质检 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-04-26
 */
@Service
public class QualityInfoServiceImpl extends ServiceImpl<QualityInfoMapper, QualityInfo> implements QualityInfoService {

    @Override
    public Page<QualityInfoVo> getPage(QualityInfoSelectDto dto) {
        IWrapper<QualityInfo> wrapper = getWrapper();
        wrapper.orderByDesc("qi", QualityInfo::getId);
        Page<QualityInfoVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public QualityInfoVo detail(Long id) {
        QualityInfo QualityInfo = this.getById(id);
        QualityInfoVo result = BeanUtil.toBean(QualityInfo, QualityInfoVo.class);
        return result;
    }

    @Override
    public void add(QualityInfoDto qualityInfoDto) {
        this.save(qualityInfoDto);
    }

    @Override
    public void edit(QualityInfoDto qualityInfoDto) {
        this.updateById(qualityInfoDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
